/**
 * http://www.stat.ubc.ca/~bouchard/GEP/README-usage.html
 * 
 * @author Alexandre Bouchard
 * @author Ardavan Saeedi
 */
package gep.comparisons;
import gep.timeseries.Series;

import java.util.List;
import java.util.Random;


public interface IncrementalReconstructionMethod extends HeldoutReconstructionMethod
{
  public void loadData(List<Series> data, int nChars);
  public void init(Random samplingRand);
  public void iterate(Random samplingRand, int iterIndex);
}