/**
 * http://www.stat.ubc.ca/~bouchard/GEP/README-usage.html
 * 
 * @author Alexandre Bouchard
 * @author Ardavan Saeedi
 */
package gep.data;
import java.util.Set;

import gep.timeseries.Measurements;
import nuts.util.Indexer;

// Data source load sequences
// Note: it should not shuffle the data to match with heldout files
public interface DataSource
{
  // null if no more available
  public Measurements next(Indexer<String> indexer);
  public Set<String> possibleObservations();
}